Bug 168703 - KGpg forgets file name when decrypting
Summary: KGpg forgets file name when decrypting
Status: RESOLVED FIXED
Alias: None
Product: kgpg
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Rolf Eike Beer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-08 08:30 UTC by Daniel Benamy
Modified: 2008-09-17 09:01 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
do not reset file on decryption (1.45 KB, patch)
2008-08-30 23:50 UTC, Rolf Eike Beer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Benamy 2008-08-08 08:30:50 UTC
Version:           1.7.3 (using KDE 4.0.5)
Installed from:    Fedora RPMs
OS:                Linux

In KDE 3, I could open a file with kgpg, decrypt it, change it, encrypt it, and click save. Now, as soon as I decrypt the file file, it forgets the file name. Ie, the title(?) bar changes to Untitled - KGpg and if I click save, I need to specify a file name again.
Comment 1 Rolf Eike Beer 2008-08-20 08:37:55 UTC
I think I fixed it in r849493 in trunk. Please test this so I can backport this in time for 4.1.1
Comment 2 Daniel Benamy 2008-08-20 08:44:17 UTC
Cool, thanks! Can you point me to what I need to check out and where in the tree it is or how I build it? I'm familiar with svn and (simple) project building.
Comment 3 Rolf Eike Beer 2008-08-20 11:02:28 UTC
http://techbase.kde.org/Getting_Started/Build/KDE4

If you can install the devel packages of kdelibs and kdepimlibs from your distribution you only need to check out trunk/KDE/kdeutils and build that. KGpg can be started directly from the build directory without installation.
Comment 4 Daniel Benamy 2008-08-20 11:35:40 UTC
I installed those packages, checked out out kdeutils, ran cmake which spit out a bunch of stuff, and then make which died:

$ make
[  0%] Generating index.cache.bz2
index.docbook:76: parser error : Entity 'dolphin' not defined
&konqueror; or &dolphin;. Archive files should be associated with &ark;, so you
                        ^
index.docbook:77: parser error : Entity 'dolphin' not defined
also <mousebutton>right</mousebutton> click a file in &konqueror; or &dolphin; a
                                                                              ^
index.docbook:136: parser error : Entity 'dolphin' not defined
in &konqueror; or &dolphin; once the extraction is complete.</para>
                           ^
index.docbook:156: parser error : Entity 'dolphin' not defined
from &konqueror;, &dolphin; or the desktop into the main &ark; window, and it wi
                           ^
index.docbook:553: parser error : Entity 'dolphin' not defined
in &konqueror; or &dolphin; once the extraction is complete.</para>
                           ^
make[2]: *** [doc/ark/index.cache.bz2] Error 1
make[1]: *** [doc/ark/CMakeFiles/handbook.dir/all] Error 2
make: *** [all] Error 2

The doc on building kde talks about cmakekde but I don't know where that is. What am I missing?
Comment 5 Rolf Eike Beer 2008-08-20 17:46:53 UTC
chdir into kgpg and run "make" there.
Comment 6 Daniel Benamy 2008-08-20 19:11:38 UTC
...
[ 55%] Building CXX object kgpg/CMakeFiles/kgpg.dir/keysmanager.o
/home/dbenamy/kdeutils/kgpg/keysmanager.cpp:969:2: warning: #warning port me
/home/dbenamy/kdeutils/kgpg/keysmanager.cpp:1019:2: warning: #warning port me
/home/dbenamy/kdeutils/kgpg/keysmanager.cpp: In constructor ‘KeysManager::KeysManager(QWidget*)’:
/home/dbenamy/kdeutils/kgpg/keysmanager.cpp:461: error: no matching function for call to ‘KeysManager::setAutoSaveSettings(KConfigGroup&, bool)’
/usr/include/kde4/kmainwindow.h:376: note: candidates are: void KMainWindow::setAutoSaveSettings(const QString&, bool)
make[2]: *** [kgpg/CMakeFiles/kgpg.dir/keysmanager.o] Error 1
make[1]: *** [kgpg/CMakeFiles/kgpg.dir/all] Error 2
make: *** [all] Error 2
Comment 7 Daniel Benamy 2008-08-21 10:18:28 UTC
Eike contact me directly and helped me get it building. I ran ./kgpg from the source tree. It still had the old bug.
Comment 8 Rolf Eike Beer 2008-08-21 11:38:56 UTC
Did you delete the lines I told you to?
Comment 9 Daniel Benamy 2008-08-22 07:42:53 UTC
(In reply to comment #8)
> Did you delete the lines I told you to?

Yep.
Comment 10 Rolf Eike Beer 2008-08-30 23:50:41 UTC
Created attachment 27141 [details]
do not reset file on decryption

Then you did something wrong, e.g. starting not the freshly compiled binary. See my patch that worked for me.
Comment 11 Rolf Eike Beer 2008-09-17 09:01:06 UTC
Fixed by r861760